#include <iostream>
using namespace std;

class triangle
{
    double x;
    double y;
    double z;
public:
    triangle (double xx, double yy, double zz)
    {
        x = xx;
        y = yy;
        z = zz;
    };
    triangle (double xx) { x = y = z = xx; };
    triangle (const triangle &t)
    {
        x = t.x;
        y = t.y;
        z = t.z;
    };
    void change (double xx, double yy, double zz)
    {
        x += xx;
        y += yy;
        z += zz;
    };
    void change (double xx)
    {
        x += xx;
        y += xx;
        z += xx;
    };
    void perimeter ()
    {
        cout << x + y + z << endl;
    };
    void print ()
    {
        cout << x << " " << y << " " << z << endl;
    };
    void longest ()
    {
        double ret = x;
        if (y > ret) ret = y;
        if (z > ret) ret = z;
        cout << ret << endl;
    }
};

int main ()
{
	triangle a (3,4,5);
	a.change (0,0,1); // katras malas izmaia
	triangle b (2); // visas trs malas aizpilds ar 2
	triangle *c = new triangle (a); // aizpilda k a
	a.print (); // izdruk 3,4,6
	a.perimeter (); // izdruk 13
	c->change (2); // visu malu izmaia viendi
	c->perimeter (); // izdruk 19
	a.longest (); // gark mala: izdruk 6
	b.longest (); // gark mala: izdruk 2
	delete c;
	return 0;
 }

